﻿local Professions = {}

local function getname(id)
	local name = GetSpellInfo(id)
	return name
end

local tradeskills = {
	getname(2018), -- Blacksmithing
	getname(2550), -- Cooking
	getname(7411), -- Enchanting
	getname(4036), -- Engineering
	getname(3273), -- First Aid
	getname(25229), -- Jewelcrafting
	getname(2108), -- Leatherworking
	getname(2656), -- Smelting
	getname(2842), -- Poisons
	getname(3908), -- Tailoring
}

local eventFrame = CreateFrame("Frame")
eventFrame:Hide()
eventFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
eventFrame:SetScript("OnEvent", function() Professions:Update() end)

function Professions:Update()
	for k,v in pairs(tradeskills) do
		if GetSpellInfo(v) then
			local myicon = select(3, GetSpellInfo(v))
			Professions[v] = LibStub("LibDataBroker-1.1"):NewDataObject(v,	{
				launcher = true,
				icon = myicon,
				OnClick = function() CastSpellByName(v) end,
			})
		end
	end
end
